unit Form_FM;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts, FMX.Objects,
  FMX.Effects;

type
  TFormMainFM = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Timer1: TTimer;
    ReflectionEffect1: TReflectionEffect;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  published
    // Mtodo de clase para crear y visualizar
    class procedure ExecForm();
    class procedure Start();
    class procedure Stop();
  end;

// Prototipos de Start y Finish del mdulo
procedure Start_Pack();
procedure Finish_Pack();

var
  FormMainFM: TFormMainFM;

implementation

{$R *.fmx}


procedure TFormMainFM.Button1Click(Sender: TObject);
begin
  Self.Close;
end;

procedure TFormMainFM.FormClose(Sender: TObject; var Action: TCloseAction);
begin
//  Action := System.UITypes.caFree;
end;



class procedure TFormMainFM.Start;
begin
  FormMainFM.Timer1.Enabled := True;
end;

class procedure TFormMainFM.Stop;
begin
  FormMainFM.Timer1.Enabled := False;
end;

class procedure TFormMainFM.ExecForm();
begin
  FormMainFM :=  nil;
  FormMainFM := TFormMainFM.Create(nil);
  FormMainFM.Show;
end;


procedure TFormMainFM.Timer1Timer(Sender: TObject);
begin
  Image1.RotationAngle := (Image1.RotationAngle + 10);
end;

// Prototipos de Start y Finish del mdulo
procedure Start_Pack();
begin
//  FormMainFM :=  nil;
//  FormMainFM := TFormMainFM.Create(nil);
//  FormMainFM.Show;
end;

procedure Finish_Pack();
begin
  FormMainFM.Free;
end;


//=========================================================================
//
// I N I T I A L I Z A T I O N
//
//=========================================================================
initialization
  Start_Pack();
  RegisterClass(TFormMainFM);


//=========================================================================
//
// F I N A L I Z A T I O N
//
//=========================================================================
finalization
  Finish_Pack();
  UnregisterClass(TFormMainFM);




end.
